import uk.gov.hmrc.DefaultBuildSettings.integrationTestSettings

lazy val microservice = Project("$!APP_NAME!$", file("."))
  .enablePlugins(play.sbt.PlayScala, SbtDistributablesPlugin)
  .settings(
    majorVersion        := 0,
    scalaVersion        := "$!SCALA_VERSION!$",
    libraryDependencies ++= AppDependencies.compile ++ AppDependencies.test,
    // https://www.scala-lang.org/2021/01/12/configuring-and-suppressing-warnings.html
    // suppress warnings in generated routes files
    scalacOptions += "-Wconf:src=routes/.*:s",
    <!--(if type=="FRONTEND")-->
    scalacOptions += "-Wconf:cat=unused-imports&src=html/.*:s",
    pipelineStages := Seq(gzip),
    <!--(end)-->
  )
  .configs(IntegrationTest)
  .settings(integrationTestSettings(): _*)
  .settings(resolvers += Resolver.jcenterRepo)
  .settings(CodeCoverageSettings.settings: _*)
  <!--(if type=="API")-->
  .settings(
    Compile / unmanagedResourceDirectories += baseDirectory.value / "resources",
  )
  <!--(end)-->
